Subject: Re: bug#70166: debbugs 0.40; Empty *Group* buffer remains after quitting ‘debbugs’

From: Michael Albinus <[email-masked]>
Date: Wed, 03 Apr 2024 19:47:13 +0200

Hi Eric,

could you, pls, have a look on this?

Thanks, and best regards, Michael.

Michael Albinus <[email-masked]> writes:

> Hi,
>
> Debbugs is a GNU ELPA package. As such, an ordinary bug report for Emacs
> is preferred.
>
> Contacting me as the author isn't wrong; I'm forwarding your message in
> order to get it registered as Emacs bug.
>
> Best regards, Michael.
>
> From: tpeplt <[email-masked]>
> Subject: debbugs 0.40; Empty *Group* buffer remains after quitting ‘debbugs’
> To:  Michael Albinus <[email-masked]>
> Date: Wed, 03 Apr 2024 13:08:13 -0400 (36 minutes, 34 seconds ago)
>
> Michael Albinus,
>
> Thank you for providing and maintaining the ‘debbugs’ package.
>
>    After searching the Info manuals for ‘debbugs’ and
> ‘debbugs-ug’ for instructions on where or how to report a
> problem with ‘debbugs’ and not finding any information, I am
> writing to your email address as the only contact
> information that I could find (via ‘list-packages’ for ‘debbugs’).
>
>    The problem that I am reporting below is occurring with
> Emacs version 29.3 and debbugs 0.40.  Here are the steps to
> reproduce this problem:
>
> 1. Enter the command ‘debbugs-gnu-bugs’:
>
>    M-x debbugs-gnu-bugs RET
>
> 2. At the prompt, enter a random bug number:
>
>    Bug numbers (default -10): 123 RET
>
> 3. The *Bugs* buffer is displayed with messages for the
>    corresponding bug number.  Type RET to run the command
>    ‘debbugs-gnu-select-report’ for one of the messages.
>
>    The buffer *ephemeral:bug#123* is displayed, where "123"
>    is whichever bug number you chose.
>
> 4. Type q to run the command ‘gnus-summary-exit’.
>    ‘debbugs’ returns to the *Bugs* buffer
>
> 5. Type q to run the command ‘quit-window’.
>
>    A buffer named *Group* remains.
>
>    If you repeat the steps above, but skip step 3 (that is, do
>    not select a report), then ‘q’ exits debbugs and does not
>    leave behind a stray *Group* buffer.
>
>    It appears that ‘debbugs-gnu-select-report’ creates a
>    *Group* buffer, but neglects to delete it when
>    ‘gnus-summary-exit’ is run.
>
> --
> ----------